function evaluationMeasure = ComputeFScore(detectedCmty,communityGroundtruth)
% the index of the detectedCmty and the communityGroundtruth should be
% consistent
intersectionNodesSet = intersect(detectedCmty,communityGroundtruth);
precision = max(size(intersectionNodesSet))/max(size(detectedCmty));
recall = max(size(intersectionNodesSet))/max(size(communityGroundtruth));
F_score = 2*precision*recall/(precision+recall);

evaluationMeasure = [precision recall F_score];
% evaluationMeasure = F_score;