function [membership, repreIndex] = ConvergeNodes(interMatrices_pre, convergeThreshold, membership)

noOfQueryNodes = size(interMatrices_pre, 1);
nodesIndex = [1: noOfQueryNodes]';

repreIndex = zeros(noOfQueryNodes, 1);
for i = 1:noOfQueryNodes
    if ~isempty(membership{i})
        interMatrices_pre(i, membership{i}) = -1;
        interMatrices_pre(membership{i}, i) = -1;
    end
end
% membership = zeros(noOfQueryNodes, 1);

for i = 1:noOfQueryNodes
%     if membership(i) == 0
        [maxR, maxFirstIndex] = max(interMatrices_pre(i, :));
        if maxR >= convergeThreshold && maxFirstIndex < i
            membership{i}(end + 1) = maxFirstIndex;
        end
%     end
end
        

for i = 1:noOfQueryNodes
    if ~isempty(membership{i})
        randIndex = randi(numel(membership{i}), 1);
        repreIndex(i) = membership{i}(randIndex);
    end
end