function [updatedVisitedNodes, updatedVisitedVector] = EffectAddedVector_visited(targetLists,...
    visitedNodes, visitedVector, maxPosition, alpha)

noOfMaxP = numel(maxPosition);
newCoeff = 1/noOfMaxP*alpha;
for i = 1:noOfMaxP
    cMaxP = maxPosition(i);
    neighborsOfMaxP = targetLists{cMaxP,1};
    cDegree = numel(neighborsOfMaxP);
    for indexOfDirectNeigh = neighborsOfMaxP(1:cDegree)
        includeYet = find(visitedNodes == indexOfDirectNeigh);
        if isempty(includeYet)
            visitedNodes(end + 1, 1) = indexOfDirectNeigh;
            visitedVector(end + 1, 1) = newCoeff/cDegree;
        elseif numel(includeYet) == 1
            visitedVector(includeYet, 1) = visitedVector(includeYet, 1) + newCoeff/cDegree;
        else
            error('There are multiple found indices !!! ');
        end
    end
end

updatedVisitedNodes = visitedNodes;
updatedVisitedVector = visitedVector;