function [mergedNodes, mergedVectors] = MergeTwoVectors(visitedNodes_1, visitedNodes_2, vector_1, vector_2)

[compareNodes, i_1, i_2] = intersect(visitedNodes_1, visitedNodes_2);

if ~isempty(compareNodes)
    
    if size(compareNodes, 2) > 1
        compareNodes = compareNodes';
    end
    mergedNodes = compareNodes;
    mergedVectors = (vector_1(i_1) + vector_2(i_2))/2;
    
    otherInd_1 = true(numel(visitedNodes_1),1);
    otherInd_1(i_1) = false;
    
    mergedNodes = [mergedNodes; visitedNodes_1(otherInd_1)];
    mergedVectors = [mergedVectors; vector_1(otherInd_1)/2];

    otherInd_2 = true(numel(visitedNodes_2),1);
    otherInd_2(i_2) = false;

    mergedNodes = [mergedNodes; visitedNodes_2(otherInd_2)];
    mergedVectors = [mergedVectors; vector_2(otherInd_2)/2];
    
else
    mergedNodes = [visitedNodes_1; visitedNodes_2];  
    mergedVectors = [vector_1; vector_2];
end