
alpha = 0.1;
beta = 0.6;
windowWidth = 4;
gamma = 0.2;

epsilon = 1e-4;
convergeThreshold = 0.8;

tauStop = min(20, log10(epsilon)/log10(beta));
probThresh = epsilon/10;
weight = 1/gamma - 1; % gamma = 1/(1+weight)

graphPath = '../graph/';
graphData = 'Amazon';

load(strcat(graphPath, graphData,'/result_',graphData,'_multi_query_eg.mat'));


[score, commOfQueryNodes, interMatrices, measure]= MQLC_vectors_con_T_reduceR(...
    graphPath, graphData, queryNodes_original_index, communityGroundtruth_original_index,... 
    weight, epsilon, tauStop, probThresh, alpha, beta, windowWidth, convergeThreshold);

F_mean = mean(DeleteOutlier(measure(:, 3), 3));


